## org.eclipse.emf.validation.xml
Interface IXmlConstraintParser

All Superinterfaces:
  IConstraintParser

Deprecated. Use the `IParameterizedConstraintParser` interface, instead. Note that the provided implementations of this interface (for OCL, Java, and EMF languages) also implement `IParameterizedConstraintParser`.

    @Deprecated
    public interface IXmlConstraintParser

extends IConstraintParser

Interface implemented by objects that know how to create the constraint implementation described by a constraint descriptor.

This interface is intended to be implemented by plug-ins that supply constraint parsers via the `constraintParsers` extension point.

Method Summary
`IModelConstraint` `parseConstraint(IXmlConstraintDescriptor descriptor)` Deprecated. Parses the XML content of a constraint `descriptor` to create an implementation of the model constraint interface.

Method Detail

### parseConstraint

    IModelConstraint parseConstraint(IXmlConstraintDescriptor descriptor)
                                     throws ConstraintParserException

  Deprecated.
  Parses the XML content of a constraint `descriptor` to create an implementation of the model constraint interface.

  Parameters:
    `descriptor` - the constraint descriptor containing XML data in the form of `IConfigurationElement`s
  Returns:
    a constraint, if one can be created
  Throws:
    `ConstraintParserException` - if a constraint cannot be created from this `descriptor`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.